using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';
#define fastio ios_base::sync_with_stdio(false);cin.tie(nullptr);cout.tie(nullptr);

struct room {
    int drain = 0;
    ll fullness = 0;
    ll level = 0;
    ll in_speed = 0;
    ll duration = 0;
    vector<pair<ll, ll>> in_interval;
    vector<ll> in_stop_times;

    ll cur_f(ll time) const {
        if (time < level) {
            return fullness;
        }
        if (time - level > duration) {
            return 0;
        }
        int bsl = 0;
        int bsr = in_interval.size();
        while (bsr - bsl > 1) {
            int bsm = (bsl + bsr) / 2;
            if (in_interval[bsm].first <= time) {
                bsl = bsm;
            } else {
                bsr = bsm;
            }
        }
        return in_interval[bsl].second + ((ll) in_interval.size() - 1 - bsl) * (time - in_interval[bsl].first + 1) -
               (time - level);
    }
};

typedef pair<ll, int> query;

void calc_duration(vector<room> &rooms, vector<vector<int>> &rooms_tree, int v) {
    room &vr = rooms[v];
    vr.in_stop_times;
    for (int u : rooms_tree[v]) {
        calc_duration(rooms, rooms_tree, u);
        vr.duration += rooms[u].duration;
        vr.in_stop_times.pb(vr.level + rooms[u].duration);
    }
    sort(all(vr.in_stop_times));
    ll prev_time = vr.level;
    vr.in_interval.emplace_back(prev_time, vr.fullness);
    for (int i = 0; i < vr.in_stop_times.size(); ++i) {
        ll t = vr.in_stop_times[i];
        vr.in_interval.emplace_back(t, vr.in_interval.back().second
                                       + ((ll) vr.in_stop_times.size() - i) * (t - prev_time));
        prev_time = t;
    }
}

ll ceildiv(ll x, ll y) {
    return (x + y - 1) / y;
}

ll solver() {
    int n, m;
    cin >> n >> m;

    vector <room> rooms(n + 1);
    vector <vector<int>> rooms_tree(n + 1, vector<int>());
    fori1(i, n) {
        cin >> rooms[i].drain;
        rooms_tree[rooms[i].drain].pb(i);
        cin >> rooms[i].level;
        cin >> rooms[i].fullness;
        rooms[i].duration = rooms[i].fullness;
    }

    fori1(i, n) {
        const room &r = rooms[i];
        if (r.drain == 0) {
            calc_duration(rooms, rooms_tree, i);
        }
    }

    vector<ll> qans(m);
    map<int, vector<query>> queries;
    fori(i, m) {
        query q;
        int r;
        cin >> r;
        cin >> q.first;
        q.second = i;
        if (queries.find(r) == queries.end()) {
            queries[r] = vector<query>();
        }
        queries[r].pb(q);
    }
    for (auto &pp : queries) {
        const room &r = rooms[pp.first];
        vector <query> &qs = pp.second;
        sort(all(qs));

        vector <pair<ll, ll>> ansint(qs.size(), mp(-1, -1));
        int begin = 0;
        while (begin < qs.size() && qs[begin].first <= r.fullness) {
            ansint[begin].first = r.level + 1;
            ++begin;
        }

        ll cur_fullness = r.fullness;
        ll cur_t = r.level;

        int scnt = r.in_stop_times.size();
        fori (rvi, scnt - 1) {
            ll max_t = r.in_stop_times[rvi] - cur_t;
            ll csc = scnt - rvi - 1;
            while (begin < qs.size() && (qs[begin].first - cur_fullness - 1) / csc < max_t) {
                ansint[begin].first = 1 + cur_t + (qs[begin].first - cur_fullness - 1) / csc;
                ++begin;
            }
            cur_t += max_t;
            cur_fullness += max_t * csc;
        }
        cur_t = (scnt == 0) ? r.level : r.in_stop_times[scnt - 1];
        for (int i = begin - 1; i >= 0; --i) {
            ansint[i].second = cur_t + (cur_fullness - qs[i].first);
        }

        fori (qi, qs.size()) {
            qans[qs[qi].second] = (ansint[qi].first == -1) ? 0 : (ansint[qi].second - ansint[qi].first + 1);
        }
//        db("====rooom " << pp.first << "====")
//        fori (qi, qs.size()) {
//            db("- " << qs[qi].first << " [" << ansint[qi].first << "," << ansint[qi].second << "]")
//        }
    }

    fori(i, m) {
        cout << qans[i] << "\n";
    }

    return 0;
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif

    int q = 1;
//    cin >> q;
    fori(i, q) {
        solver();
//        cout << solver();
//        cout << (solver() ? "Possible" : "Impossible");
//        cout << (solver() ? "Yes" : "No");
//        cout << '\n';
    }
}