#include "testlib.h"

using namespace std;

typedef pair<int, int> pii;

int n, m;
vector<int> p, q;
vector<pii> lock;

bool check(InStream &in) {
    int f = in.readInt(-1, 2, "ans_1");
    if (f == -1) return false;
    vector<int> opts{f};
    auto opts_tail = in.readInts(n - 1, 1, 2, "ans");
    for (int v : opts_tail) opts.push_back(v);

    vector<int> r(n), rinv(n, -1);
    for (int i = 0; i < n; i++) {
        r[i] = opts[i] == 1 ? p[i] : q[p[i]];
        in.ensuref(rinv[r[i]] == -1, "item number %d is placed on several positions", r[i] + 1);
        rinv[r[i]] = i;
    }
    for (int i = 0; i < lock.size(); i++) {
        pii const &t = lock[i];
        in.ensuref(abs(rinv[t.first] - rinv[t.second]) > 1, "condition number %d unsatisfied", i + 1);
    }
    return true;
}

int main(int argc, char *argv[]) {

    registerTestlibCmd(argc, argv);

    n = inf.readInt(), m = inf.readInt();
    p = inf.readInts(n), q = inf.readInts(n);
    for (int i = 0; i < n; i++) {
        p[i]--, q[i]--;
    }
    for (int i = 0; i < m; i++) {
        int a = inf.readInt(), b = inf.readInt();
        lock.emplace_back(a - 1, b - 1);
    }

    bool ja = check(ans), pa = check(ouf);
    if (!ja && pa) quitf(_fail, "participant has answer, jury hasn't");
    if (ja && !pa) quitf(_wa, "jury has answer, participant hasn't");

    quitf(_ok, "all checks passed");

}