#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef vector<vector<int>> graph;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item: v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end()

inline vector<int> dfs1(graph const &g) {
    vector<int> out;
    vector<bool> vis(g.size(), false);

    function<void(int)> walk = [&](int v) {
        vis[v] = true;
        for (int u: g[v]) {
            if (!vis[u]) walk(u);
        }
        out.push_back(v);
    };

    for (int v = 0; v < g.size(); v++) {
        if (!vis[v]) walk(v);
    }
    reverse(out.begin(), out.end());
    return out;
}

inline vector<int> dfs2(graph const &g, vector<int> const &order) {
    vector<int> comp(g.size(), -1);

    function<void(int, int)> walk = [&](int v, int c) {
        comp[v] = c;
        for (int u: g[v]) {
            if (comp[u] == -1) walk(u, c);
        }
    };

    int c = 0;
    for (int v: order) {
        if (comp[v] == -1)walk(v, c++);
    }
    return comp;
}

int main() {

    in(int, n, m)
    vector<int> p(n), q(n);
    vector<pii> lock(m);
    cin >> p >> q >> lock;
    for (int i = 0; i < n; i++) p[i]--, q[i]--;
    for (auto &t: lock) t.first--, t.second--;

    vector<int> r(n), prev(n), rrev(n);
    for (int i = 0; i < n; i++) {
        r[i] = q[p[i]];
        rrev[r[i]] = i;
        prev[p[i]] = i;
    }

    int t = 2 * n;
    graph g(t), gT(t);
    auto inv = [&](int x) {
        return x < n ? x + n : x - n;
    };
    auto add = [&](int x, int y) {
        int ix = inv(x), iy = inv(y);
        g[x].push_back(y);
        gT[y].push_back(x);
        g[iy].push_back(ix);
        gT[ix].push_back(iy);
    };

    for (int i = 0; i < n; i++) {
        if (rrev[i] != prev[i]) add(prev[i], rrev[i]);
    }
    for (int i = 0; i < m; i++) {
        int a = lock[i].first, b = lock[i].second;
        for (int s1 = 0; s1 <= 1; s1++) {
            for (int s2 = 0; s2 <= 1; s2++) {
                int pos1 = s1 ? rrev[a] : prev[a], pos2 = s2 ? rrev[b] : prev[b];
                if (abs(pos1 - pos2) <= 1) add(pos1 + s1 * n, inv(pos2 + s2 * n));
            }
        }
    }

    auto order = dfs1(g);
    auto comp = dfs2(gT, order);
    vector<int> res(n);
    for (int i = 0; i < n; i++) {
        if (comp[i] == comp[i + n]) {
            cout << "-1\n";
            return 0;
        }
        res[i] = comp[i] < comp[i + n] ? 2 : 1;
    }

    for (int opt: res) cout << opt << ' ';
    cout << '\n';

}